Class Specialization
Pmsp
Represents the Pmsp algorithm of Davila et al.
Note: There are various known problems with the motif finding in SeqAn. We plan to fix this in an upcoming release.

MotifFinder

Pmsp

MotifFinder<TValue, Pmsp, TRng>
Include Headers
seqan/find_motif.h
Parameters

TValue | The type of sequences to be analyzed. Types: AminoAcid, Dna
TRng | The Rng specialization to use for random number generation. Default: GetDefaultRng<MotifFinderClass>::Type

Remarks
The Pmsp algorithm is an improvement of the Pms1 algorithm. It examines each possible l-mer of the first input sequence, explores its neighborhood and finally checks whether an l-mer in the neighborhood is a motif instance.
Specialization of
MotifFinder
Metafunctions

Value | Type of the items in the container or behind an iterator. (MotifFinder)

Functions

displayResult | Displays all found motif candidates. In the case of the Projection Motif Finder the function displays the consensus pattern of the found motif candidate. (MotifFinder)
findMotif | Represents the main function which is used to start the search for noticeable motif patterns. (MotifFinder)
getMotif | Gets the motif out of a MotifFinder. If pos is given, the pos-th motif is returned, otherwise the first motif is returned. (MotifFinder)
motifCount | Gets number of motifs in the MotifFinder. (MotifFinder)

Example Programs
Motif Finder
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:13:00